#ifndef LIGHTMAPS_H
#define LIGHTMAPS_H
#include "data.h"

#define LIGHTMAPS_OFFSET 0x40

typedef struct lightmaps lightmaps_t;

lightmaps_t *alloc_lightmaps(void);
void cleanup_lightmaps(lightmaps_t *);
int find_lightmaps(scn_t *);
int parse_lightmaps(scn_t *);
int strip_lightmaps(scn_t *);
int summarise_lightmaps(scn_t *);
int describe_lightmaps(scn_t *);

#endif
