#ifndef MEMORY_H
#define MEMORY_H

#include <signal.h>

#define str_diff ! str_equals

void **alloc_lots(unsigned int, char *, size_t, void *(*)());
void **alloc_more(unsigned int, char *, size_t, void *(*)(), unsigned int, void **, size_t);
void *alloc_one(char *, size_t);
unsigned char *alloc_name(char *, unsigned short *);
unsigned char *alloc_char();
unsigned short *alloc_short();
unsigned int **alloc_ints(unsigned int);
unsigned int **alloc_more_ints(unsigned int, unsigned int, unsigned int **);
unsigned int *alloc_int();
float *alloc_float();
void free_structs(char *, unsigned int, void **);
void format_unknown(char *, unsigned char *, unsigned int);
int str_equals(char *, char *);
int str_equiv(char *, char *);
void catch_segv();
char *get_dirname(char *, unsigned short *, int *);
char *add_suffix(char *, char *);
char *add_prefix(char *, char *);

#endif
