#ifndef SCNHACKING_H
#define SCNHACKING_H

#include <sys/stat.h>
#include <sys/types.h>

#ifndef _MSC_VER
#include <dirent.h>
#ifdef __CYGWIN32__
/* don't want getopt.h */
#include <sys/unistd.h>
#else
#include <unistd.h>
#endif
#endif
#include <ctype.h>
#include <errno.h>
#include <fcntl.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "data.h"
#include "debug.h"
#include "memory.h"
#include "entity.h"
#include "gll.h"
#include "pair.h"

#include "version.h"

#ifdef WIN32
#define PATHSEP '\\'
#ifdef _MSC_VER
#define snprintf _snprintf
#endif
#else
#define PATHSEP '/'
#endif

#endif
