#ifndef ENTCLASS_H
#define ENTCLASS_H
#include "entity.h"

struct entclass {
  char *classname;
  unsigned int num/*_addresses*/;
  entity_t **addresses;
};
typedef struct entclass entclass_t;

entclass_t **alloc_entclasses(unsigned int);
entclass_t **alloc_more_entclasses(unsigned int, unsigned int, entclass_t **);
entclass_t *alloc_entclass(void);
entity_t **alloc_addresses(unsigned int);
entity_t **alloc_more_addresses(unsigned int, unsigned int, entity_t **);
void cleanup_addresses(unsigned int, entity_t **);
void cleanup_entclasses(unsigned int, entclass_t **);
void cleanup_entclass(entclass_t *);
entclass_t *get_entclass(unsigned int, entclass_t **, char *);
int sort_entclasses(unsigned int, entclass_t **);
int sort_entclasses_function(const void *, const void *);
int summarise_entclasses(scn_t *);
int describe_entclasses(scn_t *);

#endif
