#ifndef GLL_H
#define GLL_H

/* arbitrary linked list - all linked lists to have next as first element */
struct gll {
  void *next;
  /* stuff */
  unsigned short n;
};
typedef struct gll gll_t;

#define GLL_LOOP(x,y) for (x = y; x; x = x->next)
#define GLL_CLOSED_LOOP(x,y) for (x = y; x && x->next; x = x->next)

gll_t *gll_last(gll_t *);
gll_t *gll_alloc();
gll_t *gll_add(gll_t **);
void gll_append(gll_t **, gll_t *);
void gll_set_last(gll_t *, unsigned short);
void gll_debug(gll_t *);
void gll_free(gll_t *);

#endif
