#ifndef PAIR_H
#define PAIR_H

struct pair {
  off_t offset;
  unsigned short key_length;
  char *key;
  unsigned short value_length;
  char *value;
};
typedef struct pair pair_t;

pair_t **alloc_pairs(unsigned int);
pair_t **alloc_more_pairs(unsigned int, unsigned int, pair_t **);
pair_t *alloc_pair(void);
void cleanup_pairs(unsigned int, pair_t **);
void cleanup_pair(pair_t *);
int get_value_for_pair(unsigned int, pair_t **, char *);
int get_key_for_pair(unsigned int, pair_t **, char *);

#endif
